from setuptools import setup

with open("requirements.txt", "r", encoding="utf-8") as f:
    required = [x for x in f.read().splitlines() if not x.startswith("#")]

from binhop import __version__, _PROJECT

setup(
    name=_PROJECT,
    version=__version__,
    packages=["binhop"],
    description="binhop is a visualization tool for binwalk.",
    url="https://github.com/darrylnixon/binhop",
    author="Darryl Nixon",
    author_email="binhop@nixon.mozmail.com",
    license="GPLv3",
    entry_points=f"""
      [console_scripts]
      {_PROJECT} = binhop.binhop:main
      """,
    keywords=[],
    tests_require=[],
    zip_safe=False,
)
